@echo off
rem *******************************************************************************
rem
rem
rem  Lizenzmaterial - Eigentum der IBM
rem  (c) Copyright IBM Corporation 2012. Alle Rechte vorbehalten.
rem
rem  *******************************************************************************


REM #############################################################
REM #
REM # Umgebungsvariablen gem den Parametern und Standard-
REM # werten im Script dm_upgrade.bat definieren
REM #
REM #===========================================================
REM #
REM # Diese Datei wird zu Beginn der Ausfhrung des Scripts
REM # dm_upgrade.bat gelesen. Pro gltigem Parameter wird eine
REM # Umgebungsvariable mit vordefiniertem Standardwert gesetzt.
REM #
REM # Benutzer knnen den Standardwert modifizieren und das
REM # Script dm_upgrade.bat mit eigenen Werten starten. Die
REM # Parameter und ihre Werte mssen dann nicht manuell in
REM # der Befehlszeile eingegeben werden.
REM #
REM # WARNUNG:
REM # Nicht alle Variablen mssen fr jede Anwendung gesetzt
REM # werden.  Modifizieren Sie einen Wert erst, nachdem Sie
REM # sorgfltig den zugehrigen Kommentar gelesen haben.
REM #
REM #############################################################

rem Parameter: -oldApplicationHome
rem Syntax: -oldApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem  Vollstndiger Pfad zum Ausgangsverzeichnis fr Anwendungen
rem  in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet, z. B. D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parameter: -applicationContextRoot
rem  Syntax: -applicationContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis der Anwendung
rem Standardwert:
rem 	dm
rem Einschrnkungen:
rem  - <Stammverzeichnis> muss ein gltiger Verzeichnisname
rem    ohne vorangestellten Schrgstrich sein.
rem
set APPLICATION_CONTEXT_ROOT=dm

rem Parameter: -oldApplicationVersion
rem Syntax: -oldApplicationVersion <version>
rem Beschreibung:
rem 	Die DM-Version, fr die ein Upgrade durchgefhrt wird.  Standardmig wird
rem dies durch die Ausfhrung von repotools -version in der alten Anwendung ermittelt.
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - muss eine vollstndige Versionszeichenfolge sein
rem    e.g. 4.0
rem
set OLD_APPLICATION_VERSION=

rem Parameter: -newApplicationHome
rem Syntax: -newApplicationHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Ausgangsverzeichnis fr Anwendungen in der neuen Installation
rem Standardwert:
rem 	<currentDir>/conf
rem Einschrnkungen:
rem  - Dies ist ein obligatorischer Parameter.
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit
rem    'server\conf' endet, z. B.: D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parameter: -updateTomcatFiles
rem Syntax: -updateTomcatFiles <yes | no>
rem Beschreibung:
rem 	Angabe, ob die Tomcat-Konfigurationsdateien aktualisiert
rem  werden sollen.
rem Standardwert:
rem 	yes
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'yes' und 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Parameter: -oldApplicationTomcatHome
rem Syntax: -oldApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Vollstndiger Pfad zum Tomcat-Stammverzeichnis in der alten Installation
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Das Verzeichnis muss vorhanden sein.
rem
set OLD_APP_TOMCAT_HOME=

rem Parameter: -newApplicationTomcatHome
rem Syntax: -newApplicationTomcatHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum Tomcat-Stammverzeichnis fr Anwendungen in der neuen Installation
rem Standardwert:
rem 	<ohne>
rem
set NEW_APP_TOMCAT_HOME=

rem Parameter: -newJTSHome
rem Syntax: -newJTSHome <Verzeichnispfad>
rem Beschreibung:
rem 	Pfad zum JTS-Konfigurationsverzeichnis des von der neuen Installation verwendeten JTS
rem Standardwert:
rem  Ausgangsverzeichnis der neuen Anwendung
rem Einschrnkungen:
rem  - <Verzeichnispfad> muss ein vorhandenes Verzeichnis sein, das mit 'server\conf' endet.
rem
set NEW_JTS_HOME=

rem Parameter: -jtsContextRoot
rem Syntax: -jtsContextRoot <Stammverzeichnis>
rem Beschreibung:
rem 	Kontextstammverzeichnis von JTS
rem Standardwert:
rem 	jts
rem Einschrnkungen:
rem  - <Stammverzeichnis> muss ein gltiger Verzeichnisname
rem    ohne vorangestellten Schrgstrich sein.
rem
set JTS_CONTEXT_ROOT=jts

rem Parameter: -noPrompt
rem Syntax: -noPrompt
rem Beschreibung:
rem 	Beim Erstellen oder Modifizieren der Tabellen keine Besttigung anfordern
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Die einzigen gltigen Werte sind eine leere Zeichenfolge und 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parameter: -noVerify
rem Syntax: -noVerify
rem Beschreibung:
rem 	Keine Verifizierung fr Team-Server-Eigenschaftendateien durchfhren
rem Standardwert:
rem 	<ohne>
rem Einschrnkungen:
rem  - Gltig sind nur eine leere Zeichenfolge und 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parameter: -overwrite
rem Syntax: -overwrite
rem Beschreibung:
rem 	Angabe, ob vorhandene Dateien berschrieben werden sollen
rem Standardwert:
rem 	no
rem Einschrnkungen:
rem  - Gltig sind nur eine leere Zeichenfolge und 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parameter: -noStepPrompt
rem Syntax: -noStepPrompt
rem Beschreibung:
rem 	Keine Besttigung fr die Ausfhrung eines Schrittes anfordern
rem Standardwert:
rem 	false
rem Einschrnkungen:
rem  - Gltig sind nur die Werte 'true' und 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
