@echo off
rem *******************************************************************************
rem  Materiais Licenciados - Propriedade da IBM
rem  (c) Copyright IBM Corporation 2012. Todos os Direitos Reservados.
rem
rem  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
rem  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina as variveis de ambiente correspondentes aos
REM # parmetros de dm_upgrade.bat e seus valores padro
REM #
REM #===========================================================
REM #
REM # Este arquivo  lido no incio da execuo do script
REM # dm_upgrade.bat. Ele configura uma varivel de ambiente
REM # por parmetro vlido com um valor padro predefinido.
REM #
REM # Os usurios podem desejar modificar o valor padro, a fim de
REM # ativar o script dm_upgrade.bat com seus prprios valores
REM # sem ter de inserir manualmente o parmetro e seu valor
REM # correspondente na linha de comandos.
REM #
REM # AVISO:
REM # Nem todas as variveis precisam ser configuradas para todo
REM # aplicativo.  Leia cada comentrio cuidadosamente antes de modificar
REM # o valor.
REM #
REM #############################################################

rem Parmetro: -oldApplicationHome
rem Uso: -oldApplicationHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio inicial do aplicativo na instalao antiga.
rem Padro:
rem 	<none>
rem Restries:
rem  - este  um parmetro obrigatrio
rem  - <dir path> deve ser um diretrio existente terminado com 'server\conf'
rem    exemplo: D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parmetro: -applicationContextRoot
rem Uso: -applicationContextRoot <root>
rem Descrio:
rem 	Raiz de contexto de aplicativos.
rem Padro:
rem 	dm
rem Restries:
rem  - <root> deve ser um nico nome de diretrio vlido (isto , sem barra  esquerda)
rem
set APPLICATION_CONTEXT_ROOT=dm

rem Parmetro: -oldApplicationVersion
rem Uso: -oldApplicationVersion <version>
rem Descrio:
rem 	A verso do DM que est sendo atualizada.  Por padro, isso  determinado
rem     ao executar repotools -version com relao ao aplicativo anterior.
rem Padro:
rem 	<none>
rem Restries:
rem  - deve ser uma sequncia de verses completa
rem    exemplo: 4.0
rem
set OLD_APPLICATION_VERSION=

rem Parmetro: -newApplicationHome
rem Uso: -newApplicationHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio inicial do Aplicativo na nova instalao.
rem Padro:
rem 	<currentDir>/conf
rem Restries:
rem  - Este  um parmetro obrigatrio
rem  - <dir path> deve ser um diretrio existente terminado com 'server\conf'
rem    exemplo: D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parmetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descrio:
rem 	Se os arquivos de configurao tomcat devem ser atualizados.
rem Padro:
rem 	yes
rem Restries:
rem  - Os nicos valores vlidos so 'yes' e 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parmetro: -oldApplicationTomcatHome
rem Uso: -oldApplicationTomcatHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio-raiz Tomcat na instalao antiga.
rem Padro:
rem 	<none>
rem Restries:
rem  - Deve ser um diretrio existente
rem
set OLD_APP_TOMCAT_HOME=

rem Parmetro: -newApplicationTomcatHome
rem Uso: -newApplicationTomcatHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio-raiz Tomcat do Aplicativo na nova instalao.
rem Padro:
rem 	<none>
rem
set NEW_APP_TOMCAT_HOME=

rem Parmetro: -newJTSHome
rem Uso: -newJTSHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio de configurao do servidor do JTS que ser usado pela nova instalao.
rem Padro:
rem 	O novo diretrio inicial do aplicativo
rem Restries:
rem  - <dir path> deve ser um diretrio existente finalizando com 'server\conf'
rem
set NEW_JTS_HOME=

rem Parmetro: -jtsContextRoot
rem Uso: -jtsContextRoot <root>
rem Descrio:
rem 	Raiz de contexto do servidor do JTS.
rem Padro:
rem 	jts
rem Restries:
rem  - <root> deve ser um nome nico de diretrio vlido (isto , nenhuma barra  esquerda)
rem
set JTS_CONTEXT_ROOT=jts

rem Parmetro: -noPrompt
rem Uso: -noPrompt
rem Descrio:
rem 	No avise antes de criar ou modificar as tabelas
rem Padro:
rem 	<none>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parmetro: -noVerify
rem Uso: -noVerify
rem Descrio:
rem  No execute a verificao de arquivos teamserver.properties.
rem Padro:
rem 	<none>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parmetro: -overwrite
rem Uso: -overwrite
rem Descrio:
rem 	Se deve-se sobrescrever qualquer arquivo existente.
rem Padro:
rem 	no
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parmetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descrio:
rem 	No avisar antes de executar uma etapa.
rem Padro:
rem 	false
rem Restries:
rem  - Os nicos valores vlidos so 'true' e 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
